/// <reference types="react" />
import { type BuildContext } from 'dante';
import QRCodeGenerator from 'qrcode-generator';
type QRCodeGeneratorInterface = typeof QRCodeGenerator;
interface QRCodeProps {
    context: BuildContext;
    data: string;
    label?: string;
    image?: string;
    imageRatio?: number;
    classes?: {
        code?: string;
        qr?: string;
        image?: string;
        label?: string;
    };
}
export declare function generateQR(data: string, type?: Parameters<QRCodeGeneratorInterface>[0], errorCorrection?: 'L' | 'M' | 'Q' | 'H'): ReturnType<QRCodeGeneratorInterface>;
export declare function QRCode({ context, data, image, imageRatio, label, classes }: QRCodeProps): JSX.Element;
export {};
